/**************************************************
 * 
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign. 
 * Released under GPL 31.JAN.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/
#ifndef classDriverPrompt_included
#define classDriverPrompt_included

#include <qdialog.h>
#include <qframe.h>
#include <qpixmap.h>
#include <qlayout.h>
#include <qlabel.h>
#include <qpushbt.h>

#include "classDrivers.h"

class classDriverPrompt : public QDialog
{
    Q_OBJECT

public:
    classDriverPrompt( QWidget* parent = NULL, const char* name = NULL );
    ~classDriverPrompt();

	QString	qsDriverName;
	QString	qsDescription;
	QString	qsDriver;
	QString	qsSetup;

protected slots:

    void pbCancel_Clicked();
    void pbOk_Clicked();

protected:
    classDrivers* pDrivers;
};
#endif 
