/**************************************************
 *
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign.
 * Released under GPL 31.JAN.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/

#include "classPropertiesFrame.h"

classPropertiesFrame::classPropertiesFrame( QWidget* parent, const char* name, HODBCINSTPROPERTY hTheFirstProperty )
	: QDialog( parent, name, true )
{
    pProperties = new classProperties( this, 0, hTheFirstProperty );
    pProperties->show();
    connect( pProperties, SIGNAL(Ok()), this, SLOT(doOk()) );
    connect( pProperties, SIGNAL(Cancel()), this, SLOT(doCancel()) );
}

classPropertiesFrame::~classPropertiesFrame()
{
}

void classPropertiesFrame::doOk()
{
    accept();
}

void classPropertiesFrame::doCancel()
{
    reject();
}

void classPropertiesFrame::resizeEvent( QResizeEvent *p )
{
	pProperties->resize( p->size() );
}


