/**************************************************
 * 
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign. 
 * Released under GPL 31.JAN.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/
#ifndef classAbout_included
#define classAbout_included

#include <qwidget.h>
#include <qpixmap.h>
#include <qlayout.h>
#include <qmessagebox.h>
#include <qlabel.h>
#include <qpushbt.h>
#include <qframe.h>


#include "classCredits.h"


class classAbout : public QWidget
{
    Q_OBJECT

public:

    classAbout( QWidget* parent = NULL, const char* name = NULL );
    virtual ~classAbout();

protected slots:
    void pbODBCConfig_Clicked();
    void pbODBC_Clicked();
    void pbDatabase_Clicked();
    void pbDriverManager_Clicked();
    void pbDriver_Clicked();
    void pbODBCDrivers_Clicked();
    void pbCredits_Clicked();
    void pbApplication_Clicked();
};
#endif 
