/**************************************************
 *
 *
 **************************************************
 * This code was created by Peter Harvey @ CodeByDesign.
 * Released under GPL 31.JAN.99
 *
 * Contributions from...
 * -----------------------------------------------
 * Peter Harvey		- pharvey@codebydesign.com
 **************************************************/
#include <stdlib.h>

#include <qapp.h>
#include <qdir.h>

#include "classODBCConfig.h"

int main( int argc, char **argv )
{
    QApplication        oApplication( argc, argv );		    // create application object
    classODBCConfig     oMain;

    QDir::home().mkdir( ".ODBCConfig" );

	oApplication.connect( &oApplication, SIGNAL(lastWindowClosed()), &oApplication, SLOT(quit()) );
    oMain.show();	          					            // show widget

    return oApplication.exec();	   		                    // run event loop
}



